# consult

> Use this API to get the user authorization. After this API is called successfully, you can get the authorization URL and redirect users to the authorization URL to agree to authorize.

`POST /v1/authorizations/consult`

Use this API to get the user authorization. After this API is called successfully, you can get the authorization URL and redirect users to the authorization URL to agree to authorize. After the user agrees to authorize, the wallet redirects the user back to a redirection URL that is reconstructed with values of _authRedirectUrl_, _authCode_, and _authState_. For example, the redirection URL might be https://www.merchant.com/authorizationResult?authCode=3AB2F588D14B43238637264FCA5AAF35&authState=663A8FA9-D836-48EE-8AA1-1FF682989DC7.

# Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see： 

-   [Request header](https://docs.antom.com/ac/ams/api_fund.md#ML5ur)
-   [Response header](https://docs.antom.com/ac/ams/api_fund.md#WWH90)

> **Note**: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:
>
> -   If the data type of a field is Integer and its value is `20`, set it as "`20`". 
> -   If the data type of a field is Boolean and its value is `true`, set it as "`true`".

## Request parameters

#### customerBelongsTo (String, REQUIRED)

The wallet that the user uses. See [Payment methods](https://docs.antom.com/ac/pm/enumeration_values.md) to check the valid values.

More information:

- Maximum length: 64 characters

#### authClientId (String)

The unique ID of the secondary merchant to which the user grants resource access permission. The value is specified by the acquirer and needs to be registered in Antom.

> Notes: 
>
> -   Specify this field if you are an acquirer with secondary merchants.
> -   For the digital wallet, the value of this field is the same as the value of the _referenceMerchantId_ field in the [**pay (Tokenized Payment)**](https://docs.antom.com/ac/ams/payment_agreement.md) API.

More information:

- Maximum length: 64 characters

#### authRedirectUrl (URL, REQUIRED)

The redirection URL that the user is redirected to after the user agrees to authorize. This value is provided by the merchant.

More information:

- Maximum length: 1024 characters

#### scopes (Array<String>, REQUIRED)

The authorization scope. Valid values are:  

-   `BASE_USER_INFO`: Indicates that the unique user ID can be obtained.
-   `USER_INFO`: Indicates that the complete user information can be obtained, for example, user name, avatar, and other user information.
-   `AGREEMENT_PAY`: Indicates that the user agrees to authorize for Tokenized Payment so that the merchant can use the access token to automatically deduct money from the user's account.

More information:

- Maximum size: 4 elements

#### authState (String, REQUIRED)

The unique ID generated by the merchant to represent the consult request. The consistency of this field and that in the redirection URL when the user agrees to authorize needs to be guaranteed.

More information:

- Maximum length: 256 characters

#### terminalType

Deprecated. Use _env.terminalType_ instead.

#### osType

Deprecated. Use _env.osType_ instead.

#### osVersion

Deprecated. Use _env.osVersion_ instead.

#### env (Env, REQUIRED)

Information about the environment where the order is placed, such as the device information.

##### terminalType (String, REQUIRED)

Terminal type of which the merchant service applies to. Valid values are:

-   `WEB`: The client-side terminal type is a website, which is opened via a PC browser.
-   `WAP`: The client-side terminal type is an H5 page, which is opened via a mobile browser.
-   `APP`: The client-side terminal type is a mobile application.
-   `MINI_APP`: The terminal type of the merchant side is a mini program on the mobile phone.

##### osType (String)

Type of the operation system. Valid values are:

-   `IOS`: Indicates the operation system is Apple's iOS.
-   `ANDROID`: Indicates the operation system is Google's Android.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   This parameter is required when _terminalType_ is `APP`, `MINI_APP` or `WAP`.
> -   This parameter is required when you has signed the EasySafePay contract offline.

##### osVersion (String)

The OS version.

> **Note**: Specify this parameter when the value of _terminalType_ is `APP` or `WAP` and you have this information. Providing this information makes the user's payment experience better.

More information:

- Maximum length: 16 characters

##### deviceId (String)

The unique ID of the device the user places an order with.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   This parameter is required when you has signed the EasySafePay contract offline.
>
> This parameter can be used to build a trusted relationship between users and commonly used devices, thereby reducing risk control interruptions and increasing the payment success rate.

More information:

- Maximum length: 64 characters

##### clientIp (String)

The IP address of the client device.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you require risk control.
> -   When the value of _paymentMethodType_ is `CARD`.
> -   When the value of _paymentMethodType_ is `BLIK` and you collect the information of _blikCode_.
> -   This parameter is required when you has signed the EasySafePay contract offline.
>
> Providing this information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates.

More information:

- Maximum length: 64 characters

##### deviceTokenId (String)

The token identifier of the device.

> **Note**: Specify this parameter when one of the following conditions is met:
>
> -   When you integrate with the Antom Device Fingerprint client, which is an SDK or a JavaScript library that is used to collect device-related information, such as _osType_, _deviceLanguage_, _deviceId_, _websiteLanguage_, and _userAgent_.
> -   When you has signed the EasySafePay contract offline. It is recommended that you integrate the risk control SDK and retrieve the deviceTokenId from it.
>
> The device-related information helps to increase the accuracy of anti-money laundering and fraud detection, and increase payment success rates. For more information about the Antom Device Fingerprint client, contact Antom Technical Support.

More information:

- Maximum length: 64 characters

#### merchantRegion (String)

The country or region where the merchant or secondary merchant operates the business. The parameter is a 2-letter country/region code that follows [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard. Only `US`, `JP`, `PK`, `SG` are supported now.

> Note: This field is required when you use the Global Acquirer Gateway (GAGW) product.

More information:

- Maximum length: 2 characters

#### recurringPayment (Boolean)

Indicates whether the Tokenized Payment is used for recurring payments. Valid values are:

-   `true`: indicates the Tokenized Payment is for recurring payments.
-   `false`: indicates the Tokenized Payment is not for recurring payments.

> Specify this parameter when the value of _customerBelongsTo_ is `PAYPAY`.

## Response parameters

#### result (Result, REQUIRED)

Indicates whether this API is called successfully. If this API is successfully called, the authorization URL can be obtained.

##### resultCode (String, REQUIRED)

Result code. Possible values are listed in the _Result/Error codes_ table on this page.

More information:

- Maximum length: 64 characters

##### resultStatus (String, REQUIRED)

Result status. Valid values are:  

-   `S`: Indicates that this API is called successfully and the authorization URL is obtained.
-   `F`: Indicates that this API calling is failed. The authorization URL is not obtained.
-   `U`: Indicates that the calling status of this API is unknown. Retry the calling process.

##### resultMessage (String, REQUIRED)

Result message that explains the result code.

More information:

- Maximum length: 256 characters

#### schemeUrl (URL)

The URL scheme that redirects users to open an app in an Android or iOS system when the target app is installed.

> Note: When the value of _result.resultCode_ is `SUCCESS`, at least one of _schemeUrl_, _applinkUrl,_ and _normalUrl_ is to be returned.

More information:

- Maximum length: 2048 characters

#### applinkUrl (URL)

The URL that redirects users to open an app when the target app is installed, or to open a WAP page when the target app is not installed. For Android, the URL is a Native App Link. For iOS, the URL is a Universal Link.

> Note: When the value of _result.resultCode_ is `SUCCESS`, at least one of _schemeUrl_, _applinkUrl,_ and _normalUrl_ is to be returned.

More information:

- Maximum length: 2048 characters

#### appIdentifier (String)

Android package name, which is used for Android app to open a cashier page.

> Note: This field is returned when _result.resultCode_ is `SUCCESS` and _terminalType_ is `APP` or `WAP`.

More information:

- Maximum length: 128 characters

#### normalUrl (URL)

The URL that redirects users to a WAP or WEB page in the default browser or the embedded WebView.

> Note: When the value of _result.resultCode_ is `SUCCESS`, at least one of _schemeUrl_, _applinkUrl,_ and _normalUrl_ is to be returned.

More information:

- Maximum length: 2048 characters

#### authCodeForm (AuthCodeForm)

The information about the authorization QR code.

> Note: This parameter is returned when the payment method supports authorization through QR code scanning.

##### codeDetails (Array<CodeDetail>)

A list of QR code information.

###### displayType (String, REQUIRED)

Indicates the code value type. Valid values are:

-   `TEXT`: indicates the code value type is the original text of the QR code. You need to use _codeValue_ to convert the text into an image and display the image for buyers.
-   `IMAGE`: indicates the code value type is the image of the QR code. You can directly display the image for buyers.

More information:

- Maximum length: 24 characters

###### codeValue (String, REQUIRED)

The value of the code.

-   If the value of _displayType_ is `IMAGE`, this parameter indicates a plain or Base64-encoded image URL.
-   If the value of _displayType_ is `TEXT`, this parameter indicates a text string. You need to convert the text into a QR code image to display for buyers.

More information:

- Maximum length: 2048 characters

## Result process logic

For different request results, different actions are to be performed. See the following list for details:

-   If the value of _result.resultStatus_ is `S`, the authorization URL is successfully obtained by the _schemeUrl_, _applinkUrl,_ or _normalUrl_ field in the response. The merchant can redirect the user to this URL to agree to authorize for granting corresponding resource access permission.
-   If the value of _result.resultStatus_ is `U`, the API calling status is unknown. You can call this API again to retry the process.
-   If the value of _result.resultStatus_ is `F`, the authorization URL is failed to be obtained. Generally, this case is caused by system defects or system failure. Check the error codes and take the corresponding actions or contact Antom technical support.

## Result/Error codes

| Code | Value | Message | Further action |
| --- | --- | --- | --- |
| SUCCESS | S | Success | The interface is called successfully. Obtain schemeUrl, applinkUrl, or normalUrl from the response. |
| ACCESS_DENIED | F | Access is denied. | Contact Antom Technical Support for detailed reasons. |
| CLIENT_FORBIDDEN_ACCESS_API | F | The client is not authorized to use this API. | Contact AntomTechnical Support for detailed reasons. |
| INVALID_ACCESS_TOKEN | F | The access token is expired, revoked, or does not exist. | Check whether accessToken is correct. If not correct, pass in the correct value. If correct, contact Antom Technical Support for detailed reasons. |
| INVALID_API | F | The called API is invalid or not active. | Contact Antom Technical Support to resolve the issue. |
| INVALID_CLIENT_STATUS | F | The client status is invalid. | Contact Antom Technical Support for detailed reasons. |
| INVALID_SIGNATURE | F | The signature is not validated. The private key used to sign a request does not match the public key of <span>Antom</span> Dashboard. | Check whether the private key used to sign a request matches the public key of Antom Dashboard. The following signature references are useful:The signature field in a request header How to calculate a signature |
| KEY_NOT_FOUND | F | The private key or public key of <span>Antom</span> or the merchant is not found. | Check whether the private key or public key exists. If not, upload the private key in Antom Dashboard. |
| MERCHANT_NOT_REGISTERED | F | The merchant is not registered. | Please register the merchant by using the registration interface. Contact Antom Technical Support if failed to call the registration interface. |
| NO_INTERFACE_DEF | F | API is not defined. | Check whether the URL is correct. Please refer to the endpoint in the API documentation. |
| NO_PAY_OPTIONS | F | The payment method is not supported by this API.  | Check whether the payment method is a valid value for the customerBelongsTo parameter. If the value you passed in is correct, contact Antom Technical Support for detailed reasons. |
| OAUTH_FAILED | F | OAuth process failed. | Contact Antom Technical Support for detailed reasons. |
| PARAM_ILLEGAL | F | The required parameters are not passed, or illegal parameters exist. For example, a non-numeric input, an invalid date, or the length and type of the parameter are wrong. | Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid. |
| PAYMENT_NOT_QUALIFIED | F | The merchant is not qualified to pay because the merchant is not registered, does not have a contract for Tokenized Payment, or is forbidden to make a payment. | Contact Antom Technical Support for detailed reasons. |
| PROCESS_FAIL | F | A general business failure occurred. | Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support to troubleshoot the issue. |
| RISK_REJECT | F | The request is rejected because of the risk control. | Prompt the user that the request is rejected because the risk control failed. |
| SYSTEM_ERROR | F | A system error occurred. | Do not retry, and contact Antom Technical Support for more details. |
| UNKNOWN_CLIENT | F | The client is unknown. | Contact Antom Technical Support for detailed reasons. |
| REQUEST_TRAFFIC_EXCEED_LIMIT | U | The request traffic exceeds the limit. | Call the interface again to resolve the issue. If not resolved, contact Antom Technical Support. |
| UNKNOWN_EXCEPTION | U | An API call has failed, which is caused by unknown reasons. | Call the interface again to resolve the issue. If not resolved, contact Antom Technical Support. |

## Request

### ALIPAY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_CN",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_CN",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_CN",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_CN",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_CN",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_CN",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY_HK, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_HK",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY_HK, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_HK",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY_HK, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_HK",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY_HK, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_HK",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ALIPAY_HK, DESKTOP, INST

```json
{
  "authClientId": "SM_001",
  "authRedirectUrl": "https://www.alipay.com",
  "authState": "STATE_69402058****",
  "customerBelongsTo": "ALIPAY_HK",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "terminalType": "APP"
}
```

### ALIPAY_HK, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ALIPAY_HK",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### BOOST, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "BOOST",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### BOOST, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "BOOST",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### BOOST, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "BOOST",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### BOOST, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "BOOST",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### BOOST, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "BOOST",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### BOOST, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "BOOST",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DANA, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DANA",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DANA, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DANA",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DANA, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DANA",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DANA, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DANA",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DANA, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DANA",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DANA, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DANA",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GCASH, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GCASH",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GCASH, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GCASH",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GCASH, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GCASH",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GCASH, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GCASH",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GCASH, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GCASH",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GCASH, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GCASH",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_MY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_MY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_MY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_MY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_MY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_MY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_MY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_MY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_MY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_MY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_MY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_MY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_PH, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_PH",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_PH, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_PH",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_PH, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_PH",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_PH, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_PH",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_PH, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_PH",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_PH, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_PH",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_SG, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_SG",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_SG, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_SG",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_SG, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_SG",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_SG, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_SG",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_SG, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_SG",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### GRABPAY_SG, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "GRABPAY_SG",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KPLUS, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KPLUS",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KPLUS, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KPLUS",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KPLUS, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KPLUS",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KPLUS, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KPLUS",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KPLUS, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KPLUS",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KPLUS, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KPLUS",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KAKAOPAY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KAKAOPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KAKAOPAY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KPLUS",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KAKAOPAY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KPLUS",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KAKAOPAY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KPLUS",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KAKAOPAY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KAKAOPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### KAKAOPAY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "KAKAOPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_KRUNGTHAIBANK, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_KRUNGTHAIBANK",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_KRUNGTHAIBANK, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_KRUNGTHAIBANK",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_KRUNGTHAIBANK, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_KRUNGTHAIBANK",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_KRUNGTHAIBANK, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_KRUNGTHAIBANK",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_KRUNGTHAIBANK, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_KRUNGTHAIBANK",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_KRUNGTHAIBANK, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_KRUNGTHAIBANK",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### RABBIT_LINE_PAY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "RABBIT_LINE_PAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### RABBIT_LINE_PAY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "RABBIT_LINE_PAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### RABBIT_LINE_PAY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "RABBIT_LINE_PAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### RABBIT_LINE_PAY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "RABBIT_LINE_PAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### RABBIT_LINE_PAY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "RABBIT_LINE_PAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### RABBIT_LINE_PAY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "RABBIT_LINE_PAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MAYA, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MAYA",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MAYA, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MAYA",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MAYA, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MAYA",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MAYA, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MAYA",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MAYA, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MAYA",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MAYA, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MAYA",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MOMO, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MOMO",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MOMO, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MOMO",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MOMO, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MOMO",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MOMO, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MOMO",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MOMO, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MOMO",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### MOMO, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "MOMO",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### NAVERPAY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "NAVERPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### NAVERPAY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "NAVERPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### NAVERPAY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "NAVERPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### NAVERPAY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "NAVERPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### NAVERPAY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "NAVERPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### NAVERPAY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "NAVERPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECTDEBIT_YAPILY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECTDEBIT_YAPILY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECTDEBIT_YAPILY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECTDEBIT_YAPILY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECTDEBIT_YAPILY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECTDEBIT_YAPILY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECTDEBIT_YAPILY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECTDEBIT_YAPILY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECTDEBIT_YAPILY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECTDEBIT_YAPILY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECTDEBIT_YAPILY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECTDEBIT_YAPILY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### PAYPAY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "PAYPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### PAYPAY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "PAYPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### PAYPAY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "PAYPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### PAYPAY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "PAYPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### PAYPAY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "PAYPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### PAYPAY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "PAYPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_SIAMCOMMERCIALBANK, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_SIAMCOMMERCIALBANK",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_SIAMCOMMERCIALBANK, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_SIAMCOMMERCIALBANK",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_SIAMCOMMERCIALBANK, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_SIAMCOMMERCIALBANK",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_SIAMCOMMERCIALBANK, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_SIAMCOMMERCIALBANK",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_SIAMCOMMERCIALBANK, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_SIAMCOMMERCIALBANK",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### DIRECT_DEBIT_SIAMCOMMERCIALBANK, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "DIRECT_DEBIT_SIAMCOMMERCIALBANK",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TOSSPAY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TOSSPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TOSSPAY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TOSSPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TOSSPAY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TOSSPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TOSSPAY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TOSSPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TOSSPAY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TOSSPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TOSSPAY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TOSSPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TNG, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TNG",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TNG, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TNG",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TNG, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TNG",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TNG, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TNG",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TNG, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TNG",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TNG, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TNG",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TRUEMONEY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TRUEMONEY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TRUEMONEY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TRUEMONEY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TRUEMONEY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TRUEMONEY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TRUEMONEY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TRUEMONEY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TRUEMONEY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TRUEMONEY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### TRUEMONEY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "TRUEMONEY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ZALOPAY, APP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ZALOPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ZALOPAY, APP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ZALOPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "APP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ZALOPAY, H5, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ZALOPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ZALOPAY, H5, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ZALOPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "osType": "IOS",
    "osVersion": "17.4",
    "terminalType": "WAP",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ZALOPAY, DESKTOP, INST

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ZALOPAY",
  "authClientId": "MCH_SECONDARY_001",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

### ZALOPAY, DESKTOP, DIRECT

```json
{
  "merchantAccountId": "2188234232",
  "customerBelongsTo": "ZALOPAY",
  "authRedirectUrl": "https://merchant.com/auth/callback",
  "scopes": [
    "AGREEMENT_PAY"
  ],
  "authState": "STATE_20240405_AUTH_12345",
  "merchantRegion": "SG",
  "recurringPayment": false,
  "env": {
    "terminalType": "WEB",
    "deviceId": "deviceIdxxxxxxx",
    "clientIp": "192.168.111.111",
    "deviceTokenId": "deviceTokenIdxxxxxxxx"
  }
}
```

## Response

```json
{
  "normalUrl": "https://openauth.****.com/authentication.htm?authId=FBF16F91-28FB-47EC-B9BE-27B285C23CD3",
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "success.",
    "resultStatus": "S"
  }
}
```